/* @usb-shield/design-tokens - U.S. Bank Design Tokens - @version v10.45.2 {} */
.usb-text {
  /*
    Follow this token format: component-variant-subvariant-state-substate-descriptor_category-property
    Typography UX Design: https://www.figma.com/file/RHRtxRvl5Rl2foynWIqGQO/%F0%9F%9B%A1-USB-Light?type=design&node-id=10-3&mode=design&t=RAhWcogTNDOwMsm1-0
  */
  /* Base variables*/
  /* Font */
  --text-font-family: var(--token-font-base, Circular-USB, Arial, Helvetica, sans-serif);
  /* Font weight */
  --text-font-weight: var(--token-font-weight-reg, 400);
  /* Font size */
  --text-font-size: var(--token-font-size-base, 1rem);
  /* Letter spacing */
  --text-letter-spacing: var(--token-letter-spacing-base, normal);
  /* Line height */
  --text-line-height: var(--token-line-height-base, 1);
  /* Variants */
  /* Body */
  --text-body-small-font-size: var(--token-font-size-sm, 0.875rem);
  --text-body-medium-font-size: var(--token-font-size-base, 1rem);
  --text-body-large-font-size: var(--token-font-size-lg, 1.25rem);
  --text-body-line-height: var(--token-line-height-4xl, 1.6);
  --text-body-small-line-height: var(--token-line-height-5xl, 1.7);
  --text-body-medium-letter-spacing: var(--token-letter-spacing-med, 0.01em);
  /* Heading */
  --text-heading-font-weight: var(--token-font-weight-med, 500);
  --text-heading-line-height: var(--token-line-height-xl, 1.3);
  /* Heading - large */
  --text-heading-large-font-size: var(--token-font-size-2xl, 1.75rem);
  /* Heading - medium */
  --text-heading-medium-font-size: var(--token-font-size-xl, 1.5rem);
  /* Heading - small */
  --text-heading-small-font-size: var(--token-font-size-lg, 1.25rem);
  /* Subheading */
  --text-subheading-font-weight: var(--token-font-weight-med, 500);
  --text-subheading-letter-spacing: var(--token-letter-spacing-med, 0.01em);
  --text-subheading-line-height: var(--token-line-height-2xl, 1.45);
  /* Subheading - large */
  --text-subheading-large-font-size: var(--token-font-size-base, 1rem);
  /* Subheading - small */
  --text-subheading-small-font-size: var(--token-font-size-sm, 0.875rem);
  /* Caption */
  --text-caption-font-size: var(--token-font-size-xs, 0.75rem);
  --text-caption-line-height: var(--token-line-height-5xl, 1.7);
  --text-caption-letter-spacing: var(--token-letter-spacing-lg, 0.02em);
  /* Callout */
  --text-callout-font-family: var(--token-font-callout, Circular-USB, Arial, Helvetica, sans-serif);
  --text-callout-font-weight: var(--token-font-weight-light, 300);
  --text-callout-line-height: var(--token-line-height-3xl, 1.5);
  --text-callout-font-size: var(--token-font-size-lg, 1.25rem);
  /* Callout - large */
  --text-callout-large-font-size: var(--token-font-size-xl, 1.5rem);
  --text-callout-large-letter-spacing: var(--token-letter-spacing-med, 0.01em);
  /* Callout - small */
  --text-callout-small-font-size: var(--token-font-size-lg, 1.25rem);
  --text-callout-small-letter-spacing: var(--token-letter-spacing-lg, 0.02em);
  /* Super head */
  --text-superhead-font-size: var(--token-font-size-sm, 0.875rem);
  --text-superhead-font-weight: var(--token-font-weight-med, 500);
  --text-superhead-letter-spacing: var(--token-letter-spacing-xl, 0.06em);
  --text-superhead-line-height: var(--token-line-height-3xl, 1.5);
  /* Display */
  --text-display-font-weight: var(--token-font-weight-med, 500);
  --text-display-letter-spacing: var(--token-letter-spacing-sm, -0.01em);
  --text-display-line-height: var(--token-line-height-med, 1.2);
  /* Display - large */
  --text-display-large-font-size: var(--token-font-size-5xl, 3rem);
  /* Display - medium */
  --text-display-medium-font-size: var(--token-font-size-4xl, 2.5rem);
  /* Display - small */
  --text-display-small-font-size: var(--token-font-size-3xl, 2rem);
}
.usb-text.text_usb-text--body_yfc4l_74 {
  --text-line-height: var(--text-body-line-height);
}
.usb-text.text_usb-text--body_yfc4l_74.text_usb-text--small_yfc4l_77 {
  --text-font-size: var(--text-body-small-font-size);
  --text-line-height: var(--text-body-small-line-height);
  --text-letter-spacing: var(--text-body-medium-letter-spacing);
}
.usb-text.text_usb-text--body_yfc4l_74.text_usb-text--medium_yfc4l_82 {
  --text-font-size: var(--text-body-medium-font-size);
  --text-letter-spacing: var(--text-body-medium-letter-spacing);
}
.usb-text.text_usb-text--body_yfc4l_74.text_usb-text--large_yfc4l_86 {
  --text-font-size: var(--text-body-large-font-size);
}
.usb-text.text_usb-text--heading_yfc4l_89 {
  --text-font-weight: var(--text-heading-font-weight);
  --text-line-height: var(--text-heading-line-height);
}
.usb-text.text_usb-text--heading_yfc4l_89.text_usb-text--large_yfc4l_86 {
  --text-font-size: var(--text-heading-large-font-size);
}
.usb-text.text_usb-text--heading_yfc4l_89.text_usb-text--medium_yfc4l_82 {
  --text-font-size: var(--text-heading-medium-font-size);
}
.usb-text.text_usb-text--heading_yfc4l_89.text_usb-text--small_yfc4l_77 {
  --text-font-size: var(--text-heading-small-font-size);
}
.usb-text.text_usb-text--subheading_yfc4l_102 {
  --text-font-weight: var(--text-subheading-font-weight);
  --text-letter-spacing: var(--text-subheading-letter-spacing);
  --text-line-height: var(--text-subheading-line-height);
}
.usb-text.text_usb-text--subheading_yfc4l_102.text_usb-text--large_yfc4l_86 {
  --text-font-size: var(--text-subheading-large-font-size);
}
.usb-text.text_usb-text--subheading_yfc4l_102.text_usb-text--small_yfc4l_77 {
  --text-font-size: var(--text-subheading-small-font-size);
}
.usb-text.text_usb-text--caption_yfc4l_113 {
  --text-font-size: var(--text-caption-font-size);
  --text-line-height: var(--text-caption-line-height);
  --text-letter-spacing: var(--text-caption-letter-spacing);
}
.usb-text.text_usb-text--callout_yfc4l_118 {
  --text-font-family: var(--text-callout-font-family);
  --text-font-weight: var(--text-callout-font-weight);
  --text-line-height: var(--text-callout-line-height);
  --text-font-size: var(--text-callout-font-size);
}
.usb-text.text_usb-text--callout_yfc4l_118.text_usb-text--large_yfc4l_86 {
  --text-font-size: var(--text-callout-large-font-size);
  --text-letter-spacing: var(--text-callout-large-letter-spacing);
}
.usb-text.text_usb-text--callout_yfc4l_118.text_usb-text--small_yfc4l_77 {
  --text-font-size: var(--text-callout-small-font-size);
  --text-letter-spacing: var(--text-callout-small-letter-spacing);
}
.usb-text.text_usb-text--superhead_yfc4l_132 {
  --text-font-size: var(--text-superhead-font-size);
  --text-font-weight: var(--text-superhead-font-weight);
  --text-letter-spacing: var(--text-superhead-letter-spacing);
  --text-line-height: var(--text-superhead-line-height);
}
.usb-text.text_usb-text--display_yfc4l_138 {
  --text-font-weight: var(--text-display-font-weight);
  --text-letter-spacing: var(--text-display-letter-spacing);
  --text-line-height: var(--text-display-line-height);
}
.usb-text.text_usb-text--display_yfc4l_138.text_usb-text--large_yfc4l_86 {
  --text-font-size: var(--text-display-large-font-size);
}
.usb-text.text_usb-text--display_yfc4l_138.text_usb-text--medium_yfc4l_82 {
  --text-font-size: var(--text-display-medium-font-size);
}
.usb-text.text_usb-text--display_yfc4l_138.text_usb-text--small_yfc4l_77 {
  --text-font-size: var(--text-display-small-font-size);
}
.text_usb-text_yfc4l_2 {
  font-size: var(--text-font-size);
  font-weight: var(--text-font-weight);
  font-family: var(--text-font-family);
  letter-spacing: var(--text-letter-spacing);
  line-height: var(--text-line-height);
}